View Virtual Account by Customer Reference Id
Run in Apidog
Use this API to retrieve a virtual account using customerReferenceId, the identifier supplied by the merchant when the virtual account was created. Lets merchants fetch VA details using their own reference instead of Enkash virtualAccountId or virtualAccountNumber.
Request Code Samples
curl --location 'https://olympus-pg-uat.enkash.in/api/v0/merchant-virtual-account/customer-reference-id/CRF32S3454SDS' \
--header 'Authorization: Bearer <YOUR_USER_JWT>' Responses application/json
Generate Code
{
"response_code" : 0 ,
"response_message" : "SUCCESS" ,
"payload" : {
"virtualAccountId" : "va_abc123" ,
"customerId" : "cust_001" ,
"customerReferenceId" : "INV-2026-001" ,
"customerName" : "John Doe" ,
"customerEmail" : "john@example.com" ,
"customerPhone" : "9876543210" ,
"virtualAccountNumber" : "VA00001234" ,
"virtualAccountIfscCode" : "RATN0VAAPIS" ,
"bankName" : "RBL Bank" ,
"customerAccountNumber" : "9876543210123" ,
"customerUpiHandle" : "john@upi" ,
"customerIfscCode" : "SBIN0001234" ,
"status" : "ACTIVE" ,
"closedOn" : "2026-06-01 23:59:59" ,
"description" : "Monthly rent" ,
"amountPaid" : 3000.00 ,
"notes" : { "key1" : "value1" } ,
"expectedAmount" : 5000.00
}
} Modified at 2026-06-03 05:25:56